Bug 806357 - (CVE-2012-1580) CVE-2012-1580 mediawiki (v1.18.2): CSRF due disabled token check by performing file uploads
CVE-2012-1580 mediawiki (v1.18.2): CSRF due disabled token check by performin...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120322,repor...
: Security
Depends On: 806398
Blocks: 806396
  Show dependency treegraph
 
Reported: 2012-03-23 10:32 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-08 16:41:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-23 10:32:28 EDT
A cross-site request forgery (CSRF) flaw was found in the way MediaWiki, a wiki engine, performed security token presence check for file uploads. A remote attacker could provide a specially-crafted web page, which once visited by a valid MediaWiki user could allow the attacker to upload file without victim's interaction, or, potentially to cause a further account compromise.

References:
[1] http://lists.wikimedia.org/pipermail/wikitech-l/2012-March/059230.html

Upstream bug report:
[2] https://bugzilla.wikimedia.org/show_bug.cgi?id=35317

Upstream patches:
[3] https://bugzilla.wikimedia.org/show_bug.cgi?id=35317#c5
[4] https://bugzilla.wikimedia.org/show_bug.cgi?id=35317#c6

included within:
[5] https://www.mediawiki.org/wiki/Special:Code/MediaWiki/114429
Comment 1 Jan Lieskovsky 2012-03-23 10:34:00 EDT
This issue affects the versions of the mediawiki package, as shipped with Fedora release of 15 and 16.

--

This issue did not affect the version of the mediawiki package, as shipped with Fedora EPEL 5.
Comment 2 Jan Lieskovsky 2012-03-23 11:58:09 EDT
Created mediawiki tracking bugs for this issue

Affects: fedora-all [bug 806398]
Comment 3 Jan Lieskovsky 2012-03-26 05:14:20 EDT
The CVE identifier of CVE-2012-1580 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2012/03/24/1
Comment 4 Vincent Danen 2013-05-08 16:41:10 EDT
The current version of mediawiki in Fedora is not vulnerable to this issue (1.19.4), however EPEL5 still provides mediawiki 1.14 as well as 1.16; EPEL6 and Fedora also provide 1.16.  It is unknown whether or not those versions are affected by this issue as they are no longer supported by upstream.

Note You need to log in before you can comment on or make changes to this bug.